#! /usr/bin/env python3

from setuptools import setup, find_packages

with open("README.md", "r") as f:
    long_description = f.read()


setup(
    name="dictwrap",
    version="0.0.2",
    description="Library for wrapping data storage in a dict interface.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/psbleep/dictwrap",
    keywords="json mysql sql dict dictionary",
    author="Patrick Schneeweis",
    author_email="psbleep@protonmail.com",
    license="GPLv3",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Programming Language :: Python :: 3",
        "Topic :: Software Development",
        "Operating System :: OS Independent",
    ],
    packages=find_packages(),
    include_package_data=True,
    python_requires=">=3",
    install_requires=[
        "SQLAlchemy>=1.2.12",
        "requests>=2.19.1",
    ]
)
